WriteNowTextInternal::Table Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
WriteNowTextInternal::Table Struct Reference
Inheritance diagram for WriteNowTextInternal::Table:

## Public Member Functions
| Table ()
| constructor More...
Cell * | get (int id)
| return a cell corresponding to id More...
Public Member Functions inherited from MWAWTable
| MWAWTable (uint32_t givenData=BoxBit)
| the constructor More...
virtual | ~MWAWTable ()
| the destructor More...
void | add (shared_ptr< MWAWCell > cell)
| add a new cells More...
bool | mergeBorders () const
| returns true if we need to merge borders More...
bool | setMergeBorders (bool val)
| sets the merge borders' value More...
void | setAlignment (Alignment align, float leftMargin=0, float rightMargin=0)
| defines the current alignment More...
int | numCells () const
| returns the number of cell More...
std::vector< float > const & | getRowsSize () const
| returns the row size if defined (in point) More...
void | setRowsSize (std::vector< float > const &rSize)
| define the row size (in point) More...
std::vector< float > const & | getColsSize () const
| returns the columns size if defined (in point) More...
void | setColsSize (std::vector< float > const &cSize)
| define the columns size (in point) More...
shared_ptr< MWAWCell > | get (int id)
| returns the i^th cell More...
bool | updateTable ()
| try to build the table structures More...
bool | hasExtraLines ()
| returns true if the table has extralines More...
bool | sendTable (MWAWListenerPtr listener, bool inFrame=true)
| try to send the table More...
bool | sendAsText (MWAWListenerPtr listener)
| try to send the table as basic text More...
void | addTablePropertiesTo (librevenge::RVNGPropertyList &propList) const
| adds the table properties to propList More...

## Additional Inherited Members
Public Types inherited from MWAWTable
enum | DataSet { CellPositionBit =1, BoxBit =2, SizeBit =4, TableDimBit =8, TablePosToCellBit =0x10 }
| an enum used to indicate what the list of entries which are filled More...
enum | Alignment { Paragraph, Left, Center, Right }
| an enum do define the table alignment. More...
Protected Member Functions inherited from MWAWTable
int | getCellIdPos (int col, int row) const
| convert a cell position in a posToCellId's position More...
bool | buildStructures ()
| create the correspondance list, ... More...
bool | buildDims ()
| compute the rows and the cells size More...
bool | buildPosToCellId ()
| a function which fills to posToCellId vector using the cell position More...
void | sendExtraLines (MWAWListenerPtr listener) const
| send extra line More...
Protected Attributes inherited from MWAWTable
uint32_t | m_givenData
| a int to indicate what data are given in entries More...
uint32_t | m_setData
| a int to indicate what data are been reconstruct More...
bool | m_mergeBorders
| do we need to merge cell borders ( default yes) More...
std::vector< shared_ptr< MWAWCell > > | m_cellsList
| the list of cells More...
size_t | m_numRows
| the number of rows ( set by buildPosToCellId ) More...
size_t | m_numCols
| the number of cols ( set by buildPosToCellId ) More...
std::vector< float > | m_rowsSize
| the final row size (in point) More...
std::vector< float > | m_colsSize
| the final col size (in point) More...
Alignment | m_alignment
| the table alignment More...
float | m_leftMargin
| the left margin in point More...
float | m_rightMargin
| the right margin in point More...
std::vector< int > | m_posToCellId
| a vector used to store an id corresponding to each cell More...
bool | m_hasExtraLines
| true if we need to send extra lines More...

## Constructor & Destructor Documentation

WriteNowTextInternal::Table::Table | ( |  | ) |
| inline

constructor

## Member Function Documentation

Cell* WriteNowTextInternal::Table::get | ( | int | id | ) |
| inline

return a cell corresponding to id

The documentation for this struct was generated from the following file:

- WriteNowText.cxx